mia-2dfluid(1)

NAME
mia-2dfluid - Fluid dynamic 2D registration

SYNOPSIS
mia-2dfluid -i <in-image> -r <ref-image> [options]

DESCRIPTION
mia-2dfluid This program is used for non-rigid registration based on fluid dynamics. For reference see

    Wollny, G. and Kruggel, F., 'Computational cost of non-rigid registration algorithms based on fluid dynamics', IEEE Transactions on Medical Imaging, 11(8), pp. 946-952, 2002. (https://doi.org/10.1109/TMI.2002.803113)

It uses SSD as the sole registration criterion.

OPTIONS

  File-IO

    -i --in-image=(input, required); io
        input (test) image to be registered
         For supported file types see PLUGINS:2dimage/io

    -r --ref-image=(input, required); io
        reference image
         For supported file types see PLUGINS:2dimage/io

    -o --out-transformation=(output); io
        output transformation comprising the registration
         For supported file types see PLUGINS:2dvf/io

    -d --out-image=(output); io
        output image deformed according to the transformation
         For supported file types see PLUGINS:2dimage/io

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

  Registration parameters

    -m --mgstart=16
        multigrid start size

    -e --epsilon=0.001
        optimization breaking condition

    --mu=1
        elasticity parameter

    --lambda=1
        elasticity parameter

    --elastic
        use elastic registration

PLUGINS: 2dimage/io

bmp BMP 2D-image input/output support. The plug-in supports reading and writing of binary images and 8-bit gray scale images. read-only support is provided for 4-bit gray scale images. The color table is ignored and the pixel values are taken as literal gray scale values.

    Recognized file extensions: .BMP, .bmp

    Supported element types:
        binary data, unsigned 8 bit

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

dicom
    2D image io for DICOM

    Recognized file extensions: .DCM, .dcm

    Supported element types:
        signed 16 bit, unsigned 16 bit

exr a 2dimage io plugin for OpenEXR images

    Recognized file extensions: .EXR, .exr

    Supported element types:
        unsigned 32 bit, floating point 32 bit

jpg a 2dimage io plugin for jpeg gray scale images

    Recognized file extensions: .JPEG, .JPG, .jpeg, .jpg

    Supported element types:
        unsigned 8 bit

png a 2dimage io plugin for png images

    Recognized file extensions: .PNG, .png

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit

raw RAW 2D-image output support

    Recognized file extensions: .RAW, .raw

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

tif TIFF 2D-image input/output support

    Recognized file extensions: .TIF, .TIFF, .tif, .tiff

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit, unsigned 32 bit

vista
    a 2dimage io plugin for vista images

    Recognized file extensions: .-, .V, .VISTA, .v, .vista

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

PLUGINS: 2dvf/io

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

exr a 2dvf io plugin for OpenEXR vfs

    Recognized file extensions: .EXR, .exr

    Supported element types:
        unsigned 32 bit, floating point 32 bit

vista
    a 2d vector field io plugin for vista

    Recognized file extensions: .V, .VF, .v, .vf

    Supported element types:
        floating point 32 bit

EXAMPLE
Register image test.v to image ref.v and write the deformation vector field regfield.v. Start registration at the smallest size above 16 pixel.

mia-2dfluid -i test.v -r ref.v -o regfield.v -s 16

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.